# $Id: cct-slides.spec,v 1.20 2012/07/12 06:18:41 zlb Exp $
%define ver 0.0.4
%define rel 28

Summary:	Utilities and LaTeX package for slide presentations using xdvik
Version: 	%ver
Release:	%rel
Name:		cct-slides
Group:		Applications/Publishing
Requires:	tetex tetex-fonts tetex-latex cct >= 0.5.0 xdvik >= 22.82
Source:		cct-slides.tar.bz2
URL:		ftp://lsec.cc.ac.cn/pub/cct
Packager:	Zhang Lin-bo <zlb@lsec.cc.ac.cn>
License:	non-commercial use
BuildArch:	noarch
BuildRoot:	/var/tmp/cct-slides-root

%description

Utilities and a LaTeX package for slide presentations using xdvik under
Linux.

%prep
%setup -q -n cct-slides

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/tex/cct \
	 $RPM_BUILD_ROOT/usr/bin \
	 $RPM_BUILD_ROOT/usr/share/doc/cct-slides
/bin/cp -af slides slides2pdf slides-browser slides-functions \
	$RPM_BUILD_ROOT/usr/bin/.
/bin/cp -af sample.tex bgblue*.jpg bgwhite*.jpg cctslides-toc-test.tex \
	$RPM_BUILD_ROOT/usr/share/doc/cct-slides/.
/bin/cp -af cctslides.sty $RPM_BUILD_ROOT/usr/share/texmf/tex/cct/.

%clean
rm -rf $RPM_BUILD_ROOT

%post
texhash

%postun
texhash

%files
%defattr(-,root,root)
%{_prefix}/bin/slides
%{_prefix}/bin/slides2pdf
%{_prefix}/bin/slides-browser
%{_prefix}/bin/slides-functions
%{_prefix}/share/texmf/tex/cct/cctslides.sty
%{_prefix}/share/doc/cct-slides/sample.tex
%{_prefix}/share/doc/cct-slides/bgblue*.jpg
%{_prefix}/share/doc/cct-slides/bgwhite*.jpg
%{_prefix}/share/doc/cct-slides/cctslides-toc-test.tex

%changelog

* Thu Jul 12 2012 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-28
  . slides-browser: remove 'set encoding=euc-cn' from gvim startup commands.

* Sat Dec 17 2011 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-27
  . cctslides.sty: add option '-fullscreen' to xdvi when scr_x=0

* Fri Dec  9 2011 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-26
  . cctslides.sty: add option 'bluemath'

* Thu Sep 29 2011 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-25
  . cctslides.sty: add some options useful when using slides2pdf:
    1. option 'nohyper' to suppress hyperlinks.
    2. option 'toeps' to convert images files to "temp/basename.eps"
      (need to add '%& -shell-escape' at the begin of the document).

* Thu Jun 23 2011 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-24
  . /usr/bin/slides: use xrandr to determine geometry, make use of the new
    option '-nodecoration' (provided by the package xdvik-zlb), and in the
    case of multiple monitors show the slides on the right-most one.

* Wed Nov 17 2010 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-23
  . /usr/bin/slides: translate `Down' key to unpause-or-next(), 'Up' key to
    up-or-previous() (for Philips pointers)

* Wed Sep  2 2009 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-22
  . /usr/bin/slides: translate `PageDown' key to unpause-or-next() (for remote
    controller on laser pointers, KP_Next still translated to forward-page())

* Thu Aug 27 2009 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-21
  . make /usr/bin/slides work with the official xdvik distribution
    (test validity of "-magick*" options before using them)

* Fri Jan 11 2008 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-20
  . define \\hhline
  . neuturalize \@font@warning

* Fri Jan 11 2008 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-19
  . use '-scale=4' with gv (slides-browser)
  . change urlcolor to blue instead of green (cctslides.sty)

* Tue Nov 29 2007 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-18
  . fit to height if screen width:height > 4:3

* Mon Jul 16 2007 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-17
  . add gnome-screensaver to killall -{CONT,STOP}
  . remove path from xwininfo

* Wed Jun 20 2007 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-16
  . fix \@urlcolor in 'noslides' mode

* Mon Jan 29 2007 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-15
  . set \offsidemargin, \evensidemargin, etc, to 0 when \slidestrue

* Wed Nov 09 2005 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-14
  . set \parskip to 5pt minus 5pt in table of contents

* Fri Sep 30 2005 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-13
  . correct implementation of \URL

* Sun Mar 27 2005 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-12
  . cctslides.sty: change \endlinechar before \input file.sld to suppress
    extra space introduced by EOL in the .sld file

* Sun Oct 10 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-11
  . /usr/bin/slides: chdir to the subdirectory of the dvifile by default,
    add '-keep_cwd' option.

* Sun Sep 19 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-10
  . /usr/bin/slides: move 'xset ...' to 'trap ...'

* Tue Aug 24 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-9
  . slides-browser: use the font 'monospace\ Bold\ 15*(scrwidth+0)/1024'
    for gvim

* Thu Aug 12 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-8
  . slides-browser: cast commands with 'sh -c ...' to allow shell expansions
    in the pathname ($HOME, ~, *, etc.)

* Sun Jul  4 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-7
  . 'slides': add '-keep_screensaver' option
  . 'slides-browser': use 'slides -keep_screensaver ...' to display slides

* Tue Jun 08 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-6
  . fix a bug in `cctslides-toc.sty': entries in TOC point to wrong pages
  . integrate `cctslides-toc.sty' into cctslides.sty and add 'toc' option

* Sun Jun 06 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-5
  . new file 'cctslides-toc.sty'
  . slides: add '-q' option to xdvi (requiring xdvik >= 22.82)

* Fri May 28 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-4
  . slides2pdf: fix a bug on line 8 ('aspect43' ==> 'aspect')

* Mon Apr 13 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4-3
  . cctslides.sty: set correct \pdfpagewidth, \pdfpageheight for PDFLaTeX
    (TODO: offset control).
- v0.0.4-2
  . cctslides.sty: add papersize specials (thus PDF file may be created
    directly, e.g., "dvipdfmx -x 0.25cm -y 0.25cm slides.dvi")
  . slides2pdf: change aspect ratio of the PDF papersize to 5:4, which
    seems better in fullscreen mode, and x_offset (resp. y_offset) is
    adjusted when enlarge paperwidth (resp. paperheight)
  . slides: append '+' in the argument of the '-paper' option to make xdvik
    ignore papersize specials in the dvi file.
  . slides: reassign mouse button 1 to do-href()unpause-or-next(),
    3 to up-or-previous(), 2 to htex-back().
    TODO: make do-href() short-circuit

* Sat Apr 03 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.4: 
  . slides-browser: convert Chinese characters (and some others) in URL
    to '%XX' form before passing them to mozilla (thus allowing Chinese
    characters to be used in the URL of \URL, URL*, \referto and \referto*)
  . slides-browser: convert filename in the URL to pass to mozilla to
    absolute pathname.
  . cctslides.sty: allow use of Chinese characters in \URL and \URL*
  . cctslides.sty: \clearpage moved before \addcontentsline in \@part to
    get hyperlink to correct page
  . cctslides.sty: redefine '\\' in '\l@part' and '\l@chapter' (thus using
    '\\' in '\part' and '\chapter' won't affect formating of TOC)

* Wed Nov 19 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>
- v0.0.3

* Thu Sep 25 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>
- cctslides.sty: new commands \mathcoloron, \mathcoloroff
- slides-browser: lines changing ' ' ==> '\ ' commented out

* Wed Sep 24 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>
- slides-browser: adds '-fixed-vo' option to mplayer and redirect stdin/out to
  /dev/null to allow running `slides' without a control terminal.
- cctslides.sty: adds \URL command and allows using any characters other than
  '{' and '}' in the URL argument.

* Tue Sep  9 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>
- slides: use bgblue.jpg as default background for blue bg slides

* Sun Sep  7 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>
- slides: changed papersize to screensize-2 for xdvik-22.77.1

* Mon Sep  1 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>
- slides: offsets/papersize calculations revised (more accurate centering
  of contents on the screen).
  deleted '-bbox' option, added '-margin #' option
- slides-browser: bug fix ('/usr/bin/xdvi sample.dummy' didn't work)

* Tue Aug 26 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>
- slides: allow to use arbitrary magnification/resolution (may not work
  with pk fonts).

* Thu Aug 21 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>
- cctslides.sty: change color for rmfamily to black for white bg
- slides-browser: use gvim as the default file browser
  (the GTK2 version of gvim (>= 6.2) is required)
- slides, slides2pdf: add '-bbox' option.

* Thu Jul 17 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>
- Created the RPM package.
